Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrRegist.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrRegist.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSubConstrRegist.cs	(revision 267)
@@ -444,104 +447,104 @@
         /// <returns></returns>
         public bool UpdateFeild(int PersonCode, DateTime CreateDate, int SeqNo, int FeildNo, object value, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "UPDATE SubConstrRegist";
+                strcmd.Append("UPDATE SubConstrRegist");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
                 switch (FeildNo)
                 {
                     case (int)TableColumn.PersonCode:
-                        strcmd += string.Format("  PersonCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat("  PersonCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.CreateDate:
-                        strcmd += string.Format(" CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd.AppendFormat(" CreateDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)TableColumn.SeqNo:
-                        strcmd += string.Format(", SeqNo = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(", SeqNo = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.DataMode:
-                        strcmd += string.Format(", DataMode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(", DataMode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.SourceCode:
-                        strcmd += string.Format(", SourceCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(", SourceCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.PetitionPeriod:
-                        strcmd += string.Format(", PetitionPeriod = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(", PetitionPeriod = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.CorporateStatusName:
-                        strcmd += string.Format(" CorporateStatusName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CorporateStatusName = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.CorporateStatusPoint:
-                        strcmd += string.Format(" CorporateStatusPoint = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" CorporateStatusPoint = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.CompanyName:
-                        strcmd += string.Format(" CompanyName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CompanyName = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.CEOPositionName:
-                        strcmd += string.Format(" CEOPositionName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CEOPositionName = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.CEOName:
-                        strcmd += string.Format(" CEOName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CEOName = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.ContactPersonName:
-                        strcmd += string.Format(" ContactPersonName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ContactPersonName = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.ZipCode:
-                        strcmd += string.Format(" ZipCode = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" ZipCode = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.Address1:
-                        strcmd += string.Format(" Address1 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Address1 = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.Address2:
-                        strcmd += string.Format(" Address2 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Address2 = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.Address3:
-                        strcmd += string.Format(" Address3 = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Address3 = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.CellPhoneNumber:
-                        strcmd += string.Format(" CellPhoneNumber = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" CellPhoneNumber = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.MailAddress:
-                        strcmd += string.Format(" MailAddress = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" MailAddress = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.PhoneNumber:
-                        strcmd += string.Format(" PhoneNumber = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" PhoneNumber = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.FaxNumber:
-                        strcmd += string.Format(" FaxNumber = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" FaxNumber = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.JapaneseSyllabary:
-                        strcmd += string.Format(" JapaneseSyllabary = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" JapaneseSyllabary = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.StartDate:
-                        strcmd += string.Format(" StartDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd.AppendFormat(" StartDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)TableColumn.Note:
-                        strcmd += string.Format(" Note = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Note = '{0}'", value.ToString());
                         break;
                     case (int)TableColumn.labourKind:
-                        strcmd += string.Format(" labourKind = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" labourKind = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.OrderDate:
-                        strcmd += string.Format(" OrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd.AppendFormat(" OrderDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)TableColumn.OrderNo:
-                        strcmd += string.Format(" OrderNo = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" OrderNo = {0}", ((int)value).ToString());
                         break;
                 }
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += CreatePrimarykeyString(PersonCode, CreateDate, SeqNo);
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(CreatePrimarykeyString(PersonCode, CreateDate, SeqNo));
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -609,16 +612,16 @@
         public int SelectMaxSeqNoCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(SeqNo), 0) FROM SubConstrRegist" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(SeqNo), 0) FROM SubConstrRegist {0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -631,7 +634,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
 
             return iRet;
@@ -646,23 +649,24 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int PersonCode, DateTime CaretaDate, int SeqNo = 0, string Alias = "")
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder();
             try
             {
                 string strAlias = string.Empty;
                 if (Alias.Length != 0) strAlias = string.Format("{0}.", Alias);
-                strWork = string.Format(" WHERE {0}PersonCode = {1}", strAlias, PersonCode);
+             
+                strWork.AppendFormat(" WHERE {0}PersonCode = {1}", strAlias, PersonCode);
                 if (CaretaDate != DateTime.MinValue)
-                    strWork += string.Format(" AND {0}CreateDate = STR_TO_DATE('{1}','%Y/%m/%d')", strAlias, CaretaDate.ToShortDateString());
+                    strWork.AppendFormat(" AND {0}CreateDate = STR_TO_DATE('{1}','%Y/%m/%d')", strAlias, CaretaDate.ToShortDateString());
                 if (SeqNo != 0)
-                    strWork += string.Format(" AND {0}SeqNo = {1}", strAlias, SeqNo);
+                    strWork.AppendFormat(" AND {0}SeqNo = {1}", strAlias, SeqNo);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
     }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSystemExecute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSystemExecute.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSystemExecute.cs	(revision 267)
@@ -65,16 +65,17 @@
         private string CreateSelectSQL()
         {
             // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-            string strcmd = "SELECT";
-            strcmd += "  PrimaryCode";
-            strcmd += " ,DATE_FORMAT(TargetDate, '%Y/%m/%d')";
-            strcmd += " ,SystemVersion";
-            strcmd += " ,UpDateCopyVersion";
-            strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM SystemExecute";
+            StringBuilder strcmd = new StringBuilder();
+            strcmd.Append("SELECT");
+            strcmd.Append("  PrimaryCode");
+            strcmd.Append(" ,DATE_FORMAT(TargetDate, '%Y/%m/%d')");
+            strcmd.Append(" ,SystemVersion");
+            strcmd.Append(" ,UpDateCopyVersion");
+            strcmd.Append(" ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM SystemExecute");
 
-            return strcmd;
+            return strcmd.ToString();
         }
         #endregion
 
@@ -89,17 +90,17 @@
         public bool SelectAction(string AddSQLString, ref List<SystemExecute> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL();
-                strcmd += AddSQLString;
+                // SQL作成
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -113,7 +114,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -130,17 +131,17 @@
         public bool SelectAction(string AddSQLString, ref SystemExecute data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = CreateSelectSQL();
-                strcmd += AddSQLString;
+                // SQL作成
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
 
                 // データセット
@@ -155,7 +156,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -170,45 +171,45 @@
         /// <returns></returns>
         public bool InsertAction(List<SystemExecute> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO SystemExecute";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO SystemExecute");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (SystemExecute work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("{0}", work.PrimaryCode);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.TargetDate.ToShortDateString());
-                    strcmd += string.Format(",{0}", work.SystemVersion);
-                    strcmd += string.Format(",{0}", work.UpDateCopyVersion);
+                    strcmd.AppendFormat("{0}", work.PrimaryCode);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.TargetDate.ToShortDateString());
+                    strcmd.AppendFormat(",{0}", work.SystemVersion);
+                    strcmd.AppendFormat(",{0}", work.UpDateCopyVersion);
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -223,35 +224,35 @@
         /// <returns></returns>
         public bool InsertAction(SystemExecute data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO SystemExecute";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO SystemExecute");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format("{0}", data.PrimaryCode);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
-                strcmd += string.Format(",{0}", data.SystemVersion);
-                strcmd += string.Format(",{0}", data.UpDateCopyVersion);
+                strcmd.AppendFormat("{0}", data.PrimaryCode);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
+                strcmd.AppendFormat(",{0}", data.SystemVersion);
+                strcmd.AppendFormat(",{0}", data.UpDateCopyVersion);
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -266,29 +267,29 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, SystemExecute data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE SystemExecute";
+                strcmd.Append("UPDATE SystemExecute");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" PrimaryCode = {0}", data.PrimaryCode);
-                strcmd += string.Format(", TargetDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
-                strcmd += string.Format(", SystemVersion = {0}", data.SystemVersion);
-                strcmd += string.Format(", UpDateCopyVersion = {0}", data.UpDateCopyVersion);
+                strcmd.AppendFormat(" PrimaryCode = {0}", data.PrimaryCode);
+                strcmd.AppendFormat(", TargetDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
+                strcmd.AppendFormat(", SystemVersion = {0}", data.SystemVersion);
+                strcmd.AppendFormat(", UpDateCopyVersion = {0}", data.UpDateCopyVersion);
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -304,18 +305,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM SystemExecute", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM SystemExecute", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -332,38 +333,38 @@
         /// <returns></returns>
         public bool UpdateFeild(int PrimaryCode, int FeildNo, object value, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "UPDATE SystemExecute";
+                strcmd.Append("UPDATE SystemExecute");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
                 switch (FeildNo)
                 {
                     case (int)TableColumn.PrimaryCode:
-                        strcmd += string.Format(" PrimaryCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" PrimaryCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.TargetDate:
-                        strcmd += string.Format(" TargetDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd.AppendFormat(" TargetDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)TableColumn.SystemVersion:
-                        strcmd += string.Format(" SystemVersion = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" SystemVersion = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.UpDateCopyVersion:
-                        strcmd += string.Format(" UpDateCopyVersion = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" UpDateCopyVersion = {0}", ((int)value).ToString());
                         break;
                 }
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += CreatePrimarykeyString(PrimaryCode);
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(CreatePrimarykeyString(PrimaryCode));
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -408,17 +409,17 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int PrimaryCode)
         {
-            string strWork = string.Empty;
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where PrimaryCode = {0}", PrimaryCode.ToString());
+                strWork.AppendFormat(" Where PrimaryCode = {0}", PrimaryCode.ToString());
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
     }
